<?php get_header();?>
	
<?php 
if (get_option('storefront_blog_layout') == '3 Column') {$sidebargrid = 4;$contentgrid = 8;} else {$sidebargrid = 5;$contentgrid = 11;}
if (get_option('storefront_blog_layout') == 'Full Width') {$contentgrid = 16;}
?>

<?php if ((get_option('storefront_blog_layout') == '3 Column') || (get_option('storefront_blog_layout') == 'Left Sidebar')) { ?>
<div class="grid_<?php echo $sidebargrid;?>">
	<?php if ( !function_exists('dynamic_sidebar')|| !dynamic_sidebar('Blog Sidebar Left') ) : ?>
		<div class="widget">
		<h2><?php _e('Recent Posts', 'storefrontthemes'); ?></h2>
		<ul>
		<?php wp_get_archives('type=postbypost&limit=15'); ?>
		</ul>
		</div>
	<?php endif; ?>
</div>
<?php } ?>

<div class="grid_<?php echo $contentgrid;?>">

			<?php if (is_search()) : ?>
				<div class="boxcaption"><h2><?php _e('Search Results'); ?></h2></div>
				<div class="box"><?php printf( __('Keyword: &#8216;%1$s&#8217;'), wp_specialchars($s, 1) ); ?></div>
			
			<?php else : ?>
				<div class="box">
					<?php
					// If this is a category archive
					if (is_category()) {
						printf( __('<h1>Archive For the &#8216;%1$s&#8217; Category</h1>'), single_cat_title('', false) );
					// If this is a tag archive
					} elseif (is_tag()) {
						printf( __('<h1>Posts Tagged &#8216;%1$s&#8217;</h1>'), single_tag_title('', false) );
					// If this is a daily archive
					} elseif (is_day()) {
						printf( __('<h1>Archive for %1$s</h1>'), get_the_time(__('F jS, Y')) );
					// If this is a monthly archive
					} elseif (is_month()) {
						printf( __('<h1>Archive for %1$s</h1>'), get_the_time(__('F, Y')) );
					// If this is a yearly archive
					} elseif (is_year()) {
						printf( __('<h1>Archive for %1$s</h1>'), get_the_time(__('Y')) );
					// If this is an author archive
					} elseif (is_author()) {
						_e('<h1>Author Archive</h1>');
					// If this is a paged archive
					} elseif (isset($_GET['paged']) && !empty($_GET['paged'])) {
						_e('<h1>Blog Archives</h1>');
					}
					?>
				</div>
			<?php endif; ?>


	<?php include(TEMPLATEPATH . '/includes/loop-post-archives.php'); ?>
	

	
</div>

<?php if ((get_option('storefront_blog_layout') == '3 Column') || (get_option('storefront_blog_layout') == 'Right Sidebar')) { ?>
<div class="grid_<?php echo $sidebargrid;?>">
	<?php if ( !function_exists('dynamic_sidebar')|| !dynamic_sidebar('Blog Sidebar Right') ) : ?>
		<div class="widget">
		<h2><?php _e('Recent Posts', 'storefrontthemes'); ?></h2>
		<ul>
		<?php wp_get_archives('type=postbypost&limit=15'); ?>
		</ul>
		</div>
	<?php endif; ?>
</div>
<?php } ?>

<div class="clear"></div>

<?php get_footer();?>