<?php if (have_posts()) : while (have_posts()) : the_post(); ?>
<div class="entry">

	<?php 
	if(has_post_thumbnail()) {
	if (get_option('storefront_featured_image_height')) {$featuredimageheight = get_option('storefront_featured_image_height');}
	else {$featuredimageheight = 125;}
	if (get_option('storefront_featured_image_width')) {$featuredimagewidth = get_option('storefront_featured_image_width');}
	else {$featuredimagewidth = 125;}
	$thumb = get_post_thumbnail_id(); 
	$image = vt_resize( $thumb, '', $featuredimagewidth, $featuredimageheight, true );
	?>

	<div class="singlepostimage">
	<img class="blog-featured alignright" src="<?php echo $image[url]; ?>" width="<?php echo $image[width]; ?>" height="<?php echo $image[height]; ?>" />
	</div>
	<?php } ?>
	<h1><?php the_title(); ?></h1>
	<p class="post_meta"><?php _e('Posted on', 'storefrontthemes'); ?> <?php the_time('F jS, Y'); ?> <?php _e('in', 'storefrontthemes'); ?> <?php the_category(', '); ?> <?php _e('by', 'storefrontthemes'); ?> <?php the_author(); ?></p>
	<?php the_content(__('Read more'));?>
	<div class="clear"></div>	

</div><!-- end of entry -->
<p class="post_meta tags"><strong><?php _e('Tags', 'storefrontthemes'); ?>:</strong> <?php the_tags('', ', ', '<br />'); ?></p>

	<?php comments_template(); ?>

<?php endwhile; else: ?>
	
	<div class="entry">
	<h1><?php _e('Nothing Found', 'storefrontthemes'); ?></h1>
	<p><?php _e('Sorry, no posts matched your criteria.', 'storefrontthemes'); ?></p>
	<?php get_search_form(); ?>
	</div><!-- end of entry -->
	
<?php endif; ?>