<?php get_header();?>
<div class="grid_11">

<h1><?php _e('Search Results', 'storefrontthemes'); ?></h1>
     
                    <div class="box">
                    <p style="margin-bottom:0;"><?php _e('Your search topic', 'storefrontthemes'); ?> <strong><?php echo wp_specialchars($s); ?></strong> <?php _e('returned the following articles', 'storefrontthemes'); ?>:</p>
                    </div>

				<?php if (have_posts()) : while (have_posts()) : the_post(); ?>
			
                <div class="entry">
                
                
				<?php 
				if(has_post_thumbnail()) {
				if (get_option('storefront_blog_image_height')) {$blogimageheight = get_option('storefront_blog_image_height');}
				else {$blogimageheight = 125;}
				if (get_option('storefront_blog_image_width')) {$blogimagewidth = get_option('storefront_blog_image_width');}
				else {$blogimagewidth = 125;}
				$thumb = get_post_thumbnail_id(); 
				$image = vt_resize( $thumb, '', $blogimagewidth, $blogimageheight, true );
				?><div class="thumbnailbox fr"><img alt="<?php the_title(); ?>" src="<?php echo $image[url]; ?>" width="<?php echo $image[width]; ?>" height="<?php echo $image[height]; ?>" /></div><?php } ?>
                
                    <h3><a href="<?php the_permalink(); ?>" rel="bookmark" title="Permanent Link to <?php the_title_attribute(); ?>"><?php the_title(); ?></a> (<?php $post_type = get_post_type_object( get_post_type($post) );$post_type_name = $post_type->labels->singular_name;echo $post_type_name ?>)</h3>
                    
                    <p class="post_meta"><span><?php _e('Posted in', 'storefrontthemes'); ?> <?php the_category(', ') ?>. <?php _e('Written by', 'storefrontthemes'); ?> <?php the_author() ?> <?php _e('on', 'storefrontthemes'); ?> <?php the_time('F jS, Y') ?></p>
                    
                    <?php the_excerpt() ?>
                    <div class="clear" style="height:15px;"></div>
                </div>
            
				<?php endwhile; else: ?>
        
                <div class="entry">
            
                        <p><?php _e('Sorry, no posts matched your criteria. Want to try again?', 'storefrontthemes'); ?></p>
                        <?php get_search_form(); ?>              
                </div>
    
				<?php endif; ?>
                				
				 <div class="more_entries">
					<?php if (function_exists('wp_pagenavi')) wp_pagenavi(); else { ?>
                    <div class="fl"><?php previous_posts_link('&laquo; Newer Entries ') ?></div>
                    <div class="fr"><?php next_posts_link(' Older Entries &raquo;') ?></div>
                    <br class="fix" />
                    <?php } ?>
                 </div>        
	

</div>

<div class="grid_5" id="sidebar">
	<?php if ( !function_exists('dynamic_sidebar')|| !dynamic_sidebar('Blog Sidebar') ) : ?>
		<div class="widget">
		<h2><?php _e('Recent Posts', 'storefrontthemes'); ?></h2>
		<ul>
		<?php wp_get_archives('type=postbypost&limit=15'); ?>
		</ul>
		</div>
	<?php endif; ?>
</div>

<div class="clear"></div>


<?php get_footer();?>