<?php
/*
Template Name: Homepage
*/
?>

<?php get_header();?>
<div class="grid_16 featured">

 <!-- Featured Slider -->
    <?php if ( get_option('storefront_featured_display_options' ) == 'Use Slider Post Type (fade effect)' )
	{include(TEMPLATEPATH . '/includes/homepage/featured_image_rotator.php');} 
		elseif ( get_option('storefront_featured_display_options' ) == 'Use a Static Image' )
	{include(TEMPLATEPATH . '/includes/homepage/featured_static_image.php');} 
		elseif ( get_option('storefront_featured_display_options' ) == 'Use Slider Post Type (slide effect)' )
	{include(TEMPLATEPATH . '/includes/homepage/featured_slider_image.php');}
		elseif ( get_option('storefront_featured_display_options' ) == 'Use Custom HTML' )
	{include(TEMPLATEPATH . '/includes/homepage/featured_slider_html.php');}
		else
	{include(TEMPLATEPATH . '/includes/homepage/featured_slider.php');}
	?>

<div class="clear"></div>
</div>
	
	<?php if ( get_option('storefront_carousel_option' ) == 'Show Product Categories' )
	{include(TEMPLATEPATH . '/includes/homepage/show_categories_carousel.php');} 
	?>
	
	<?php if ( get_option('storefront_carousel_option' ) == 'Show Products' )
	{include(TEMPLATEPATH . '/includes/homepage/show_products_carousel.php');} 
	?>
	
	<?php if ( get_option('storefront_carousel_option' ) == 'Show Posts' )
	{include(TEMPLATEPATH . '/includes/homepage/show_posts_carousel.php');} 
	?>
	
	<?php if ( get_option('storefront_carousel_option' ) == 'Show Carousel Post Type' )
	{include(TEMPLATEPATH . '/includes/homepage/custom_post_type_carousel.php');} 
	?>
	
<div id="carouselspace"></div>
<div id="tenpxspace"></div>
	
	<?php if ( get_option('storefront_gridview_option' ) == 'Show Product Categories' )
	{include(TEMPLATEPATH . '/includes/homepage/show_categories_gridview.php');} 
	?>
	
	<?php if ( get_option('storefront_gridview_option' ) == 'Show Products' )
	{include(TEMPLATEPATH . '/includes/homepage/show_products_gridview.php');} 
	?>
	
	<?php if ( get_option('storefront_gridview_option' ) == 'Show Posts' )
	{include(TEMPLATEPATH . '/includes/homepage/show_posts_gridview.php');} 
	?>
	
	<?php if ( get_option('storefront_gridview_option' ) == 'Show Gridview Post Type' )
	{include(TEMPLATEPATH . '/includes/homepage/custom_post_type_gridview.php');} 
	?>

<div class="clear"></div>

<?php get_footer();?>