<?php

/*
================================================================
Our theme options panel was originally developed by the geniuses
at WooThemes (http://woothemes.com) and we have modified it for
use with the WP-e-Commerce plugin. The theme framework includes
most of the files that are included here.
================================================================
*/

/*-----------------------------------------------------------------------------------*/
/* Start storefrontThemes Functions - Please refrain from editing this section */
/*-----------------------------------------------------------------------------------*/

// Set path to storefrontFramework and theme specific functions
$functions_path = TEMPLATEPATH . '/functions/';
$includes_path = TEMPLATEPATH . '/includes/';

// storefrontFramework
require_once ($functions_path . 'admin-init.php');			// Framework Init

// Theme specific functionality
require_once ($includes_path . 'theme-options.php'); 		// Options panel settings and custom settings
require_once ($includes_path . 'theme-functions.php'); 		// Custom theme functions
require_once ($includes_path . 'theme-actions.php');		// Theme actions & user defined hooks
require_once ($includes_path . 'theme-comments.php'); 		// Custom comments/pingback loop
require_once ($includes_path . 'theme-js.php');				// Load javascript in wp_head
require_once ($includes_path . 'sidebar-init.php');			// Initialize widgetized areas
require_once ($includes_path . 'storefront-custom.php');		// Custom Storefront Functions

// Output stylesheet and custom.css after Canvas custom styling
remove_action('wp_head', 'storefrontthemes_wp_head');
add_action('storefront_head', 'storefrontthemes_wp_head');

/*-----------------------------------------------------------------------------------*/
/* End storefrontThemes Functions - You can add custom functions below */
/*-----------------------------------------------------------------------------------*/

?>