<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head profile="http://gmpg.org/xfn/11">

<meta http-equiv="Content-Type" content="<?php bloginfo('html_type'); ?>; charset=<?php bloginfo('charset'); ?>" />

<title>
<?php if ( is_home() ) { ?><?php bloginfo('name'); ?>&nbsp;|&nbsp;<?php bloginfo('description'); ?><?php } ?>
<?php if ( is_front_page() ) { ?><?php bloginfo('name'); ?>&nbsp;|&nbsp;<?php bloginfo('description'); ?><?php } ?>
<?php if ( is_search() ) { ?><?php bloginfo('name'); ?>&nbsp;|&nbsp;<?php _e('Search Results', 'storefrontthemes'); ?><?php } ?>
<?php if ( is_author() ) { ?><?php bloginfo('name'); ?>&nbsp;|&nbsp;<?php _e('Author Archives', 'storefrontthemes'); ?><?php } ?>
<?php if ( is_single() ) { ?><?php wp_title(''); ?>&nbsp;|&nbsp;<?php bloginfo('name'); ?><?php } ?>
<?php if ( is_page() ) { ?><?php bloginfo('name'); ?>&nbsp;|&nbsp;<?php wp_title(''); ?><?php } ?>
<?php if ( is_category() ) { ?><?php bloginfo('name'); ?>&nbsp;|&nbsp;<?php _e('Archive', 'storefrontthemes'); ?>&nbsp;|&nbsp;<?php single_cat_title(); ?><?php } ?>
<?php if ( is_month() ) { ?><?php bloginfo('name'); ?>&nbsp;|&nbsp;<?php _e('Archive', 'storefrontthemes'); ?>&nbsp;|&nbsp;<?php the_time('F'); ?><?php } ?>
<?php if (function_exists('is_tag')) { if ( is_tag() ) { ?><?php bloginfo('name'); ?>&nbsp;|&nbsp;<?php _e('Tag Archive', 'storefrontthemes'); ?>&nbsp;|&nbsp;<?php  single_tag_title("", true); } } ?>
</title>

<?php if (get_option('storefront_meta' ) =='true' ) {include(TEMPLATEPATH . '/includes/meta.php'); } ?>

<script src="<?php bloginfo('stylesheet_directory'); ?>/includes/js/jquery.min.js" type="text/javascript"></script>
<link rel="stylesheet" type="text/css" href="<?php bloginfo('stylesheet_directory'); ?>/css/960.css" media="all" />
<link rel="stylesheet" type="text/css" href="<?php bloginfo('stylesheet_directory'); ?>/css/reset.css" media="all" />


<link rel="alternate" type="application/rss+xml" title="RSS 2.0" href="<?php if ( get_option('storefront_feedburner_url') <> "" ) { echo get_option('storefront_feedburner_url'); } else { echo get_bloginfo_rss('rss2_url'); } ?>" />
<link rel="shortcut icon" href="<?php bloginfo('template_url'); ?>/favicon.ico" />

<?php if ( is_single() ) wp_enqueue_script( 'comment-reply' ); ?>
<link rel="stylesheet" type="text/css" href="<?php bloginfo('stylesheet_directory'); ?>/style.css" media="all" />
<?php wp_head(); ?>

<!--[if IE]>
<link rel="stylesheet" type="text/css" href="<?php bloginfo('template_url'); ?>/ie.css" />
<![endif]-->

<!--[if lte IE 7]>
<link rel="stylesheet" type="text/css" href="<?php bloginfo('template_url'); ?>/ie7.css" />
<script type="text/javascript" src="<?php bloginfo('template_url'); ?>/includes/js/menu.js"></script>
<![endif]-->

<?php //Base Colors
if ( get_option('storefront_alt_colorsheet') <> "") {?><link rel="stylesheet" type="text/css" href="<?php bloginfo('template_url'); ?>/colors/<?php echo get_option('storefront_alt_colorsheet');?>" /><?php } ?>

<!-- Custom Styles set by user -->
<?php include(TEMPLATEPATH . '/includes/background-image.php');?>
<!-- End of Custom Styles set by user -->
<?php if ( is_single() ) wp_enqueue_script( 'comment-reply' ); ?>

<?php //Custom CSS 
if ( get_option('storefront_custom_css') <> "") {$customcss = get_option('storefront_custom_css');?><style><?php echo stripslashes($customcss);?></style><?php } ?>

<link rel="stylesheet" type="text/css" href="<?php bloginfo('template_url'); ?>/custom.css" /> 
<!--[if IE 6]>
<script src="<?php bloginfo('template_url'); ?>/includes/js/DD_belatedPNG_0.0.8a-min.js"></script>
<script type="text/javascript">
  DD_belatedPNG.fix('img, .carousel-sale-item');
</script>
<link rel="stylesheet" type="text/css" href="<?php bloginfo('template_url'); ?>/ie6.css" />
<![endif]-->  
</head>

<body class="<?php if (is_home()) {echo 'home';} ?><?php if (is_page()) {echo 'page';} ?>">
<?php if ( get_option('storefront_show_ie6_message') == 'true') { ?>
<!--[if IE 6]>
<div class="IE6message"><p>You are currently using Internet Explorer 6!  To utilize the full features of this site, please <a href="http://www.microsoft.com/windows/internet-explorer/default.aspx" alt="download Internet Explorer">consider upgrading</a> or <a href="http://mozilla.com/firefox/" alt="Download Mozilla Firefox">using a more modern browser</a>.</p></div>
<![endif]-->
<?php } ?>
	<div id="wrap">    
        	<div id="nav_container">
        	<div id="nav_wrapper" class="container_16">
        	
	        	<div class="grid_11">
	        	<?php storefront_mainnav(); ?>
	            </div><!-- /grid_11 -->
	            
					<?php if ( get_option('storefront_nav_right_side' ) == 'Show a Searchbox' )
					{include(TEMPLATEPATH . '/includes/navbar/searchbox.php');} 
					?>
					
					<?php if ( get_option('storefront_nav_right_side' ) == 'Show Feed Icons' )
					{include(TEMPLATEPATH . '/includes/navbar/feedicons.php');} 
					?>
					
					<?php if ( get_option('storefront_nav_right_side' ) == 'Show Post Category Dropbox' )
					{include(TEMPLATEPATH . '/includes/navbar/catdropbox.php');} 
					?>
					
					<?php if ( get_option('storefront_nav_right_side' ) == 'Show Product Category Dropbox' )
					{include(TEMPLATEPATH . '/includes/navbar/proddropbox.php');} 
					?>

				<div class="clear"></div>
        	
        	</div><!-- /nav_wrapper -->
        	</div><!-- /navcontainer -->
        </div>     

        <div id="header">
        	<div id="logo">
        		        <span class="logo"><a href="<?php echo get_option('home'); ?>/" title="<?php bloginfo('name'); ?>"><img src="<?php if ( get_option('storefront_logo') <> "" ) {  echo get_option('storefront_logo'); } else { ?><?php bloginfo('stylesheet_directory'); ?>/images/storefront_logo.png<?php } ?>" alt="" /></a></span>
        	</div>
        </div>
        
        <div id="content_top"></div>
        <div id="content">
        	<div class="container_clear_ten"></div>
			<div id="content_wrap" class="container_16">