<?php

if ( get_option('storefront_alt_stylesheet') <> "") {?><link rel="stylesheet" type="text/css" href="<?php bloginfo('template_url'); ?>/styles/<?php echo get_option('storefront_alt_stylesheet');?>" /><?php }

if (get_option('storefront_background_position' ) =='Tile the image' ) {$position="repeat";}
if (get_option('storefront_background_position' ) =='Center the image at the top of the page' ) {$position="center top no-repeat";}
if (get_option('storefront_background_position' ) =='Repeat horizontally across the top' ) {$position="repeat-x top";}
if (get_option('storefront_background_position' ) =='Repeat vertically down the left side' ) {$position="repeat-y left";}
if (get_option('storefront_background_position' ) =='Repeat vertically down the right side' ) {$position="repeat-y right";}

if ( get_option('storefront_background_color') <> "" ) {$backgroundcolor= get_option('storefront_background_color');}
if ( get_option('storefront_background_image') <> "" ) {$image= get_option('storefront_background_image');}
if ( get_option('storefront_text_color') <> "" ) {$textcolor= get_option('storefront_text_color');}
if ( get_option('storefront_heading_color') <> "" ) {$headingcolor= get_option('storefront_heading_color');}
if ( get_option('storefront_link_color') <> "" ) {$linkcolor= get_option('storefront_link_color');}
if ( get_option('storefront_border_color') <> "" ) {$bordercolor= get_option('storefront_border_color');}
if ( get_option('storefront_image_border_color') <> "" ) {$imagebordercolor= get_option('storefront_image_border_color');}

if ( get_option('storefront_nav_text_color') <> "" ) {$navtextcolor= get_option('storefront_nav_text_color');}
if ( get_option('storefront_nav_hover_color') <> "" ) {$navhovercolor= get_option('storefront_nav_hover_color');}

if ( get_option('storefront_featured_background_color') <> "" ) {$featuredbackgroundcolor= get_option('storefront_featured_background_color');}
if ( get_option('storefront_gridview_background_color') <> "" ) {$gridviewbackgroundcolor= get_option('storefront_gridview_background_color');}
if ( get_option('storefront_gridview_text_color') <> "" ) {$gridviewtextcolor= get_option('storefront_gridview_text_color');}
if ( get_option('storefront_carousel_border_color') <> "" ) {$carouselbordercolor= get_option('storefront_carousel_border_color');}


if ( get_option('storefront_footer_text_color') <> "" ) {$footertextcolor= get_option('storefront_footer_text_color');}
if ( get_option('storefront_footer_link_color') <> "" ) {$footerlinkcolor= get_option('storefront_footer_link_color');}
?>

<style>
body {
<?php if ( get_option('storefront_background_image') <> "" ) {?>background: url(<?php echo $image; ?>) <?php echo $position; ?>;<?php } ?>
<?php if ( get_option('storefront_background_color') <> "" ) {?>background-color:<?php echo $backgroundcolor; ?>;<?php } ?>
}

/* Text Color */
body,.entry blockquote p,p.post_meta,#footer p {<?php if ( get_option('storefront_text_color') <> "" ) {?>color:<?php echo $textcolor; ?>;<?php } ?>}
.entry blockquote {<?php if ( get_option('storefront_text_color') <> "" ) {?>border-color:<?php echo $textcolor; ?>;<?php } ?>}

/* Border Color */
#content table.productcart tr.firstrow,table.productcart tr.total_price td,.box,.single_product_display textcol, .default_product_display,.entry,.commentsbox,.widget ul li {<?php if ( get_option('storefront_border_color') <> "" ) {?>border-color:<?php echo $bordercolor; ?>!important;<?php } ?>}

/* Image Border Color */
.productdisplay .imagecol img.product_image, .thumbnailbox img,.singlepostimage img {<?php if ( get_option('storefront_image_border_color') <> "" ) {?>border-color:<?php echo $imagebordercolor; ?>!important;<?php } ?>}

/* Heading Color */
h1,h2,h3,h4,h5,h6 {<?php if ( get_option('storefront_heading_color') <> "" ) {?>color:<?php echo $headingcolor; ?>;<?php } ?>}

/* Link Color */
a {<?php if ( get_option('storefront_link_color') <> "" ) {?>color:<?php echo $linkcolor; ?>;<?php } ?>}
.featured_text p.read_more a {<?php if ( get_option('storefront_link_color') <> "" ) {?>background:<?php echo $linkcolor; ?>;<?php } ?>}

/* Nav Colors */
#nav li a {<?php if ( get_option('storefront_nav_text_color') <> "" ) {?>color:<?php echo $navtextcolor; ?>;<?php } ?>}
#nav li a:hover {<?php if ( get_option('storefront_nav_hover_color') <> "" ) {?>background:<?php echo $navhovercolor; ?>;<?php } ?>}

/* Footer Text Color */
#footer {<?php if ( get_option('storefront_footer_text_color') <> "" ) {?>color:<?php echo $footertextcolor; ?>;<?php } ?>}

/* Footer Link Color */
#footer a {<?php if ( get_option('storefront_footer_link_color') <> "" ) {?>color:<?php echo $footerlinkcolor; ?>;<?php } ?>}

/* Featured Background Color */
.featured {<?php if ( get_option('storefront_featured_background_color') <> "" ) {?>background:<?php echo $featuredbackgroundcolor; ?>;<?php } ?>}

/* Gridview Background Color */
.homepage_gridentry {<?php if ( get_option('storefront_gridview_background_color') <> "" ) {?>background:<?php echo $gridviewbackgroundcolor; ?>;<?php } ?>}

/* Gridview Text Color */
p.gridentry_title a {<?php if ( get_option('storefront_gridview_text_color') <> "" ) {?>color:<?php echo $gridviewtextcolor; ?>;<?php } ?>}


/* Carousel Border Color */
.infiniteCarousel ul a img {<?php if ( get_option('storefront_carousel_border_color') <> "" ) {?>border-color:<?php echo $carouselbordercolor; ?>;<?php } ?>}
</style>