<?php
if ( get_option('storefront_carousel_speed') <> "" ) {$carouselspeed= get_option('storefront_carousel_speed');} else {$carouselspeed='15';}
if ( get_option('storefront_carousel_post_limit') <> "") {$postlimit= get_option('storefront_carousel_post_limit');} else {$postlimit='18';}
?>

<!-- <div class="grid_16" id="carousel-title"> <h1>Latest Products</h1></div> -->
<div class="grid_16" id="carousel">
	<div class="infiniteCarousel">
      <div class="carwrapper">
        <ul>
	  		<?php
	  		if ( get_option('storefront_carousel_post_limit') <> "" ) {$numposts = get_option('storefront_carousel_post_limit' );}else{$numposts = '-1';}
			$cat_name = get_option('storefront_carousel_prod_category');
	  		if ($cat_name == "Show All Products") {$loop = new WP_Query('post_type=wpsc-product&posts_per_page='.$numposts);} else {
	  		$loop = new WP_Query('wpsc_product_category='.$cat_name.'&post_type=wpsc-product&posts_per_page='.$numposts);}
	  		while ( $loop->have_posts() ) : $loop->the_post(); ?>
	            <?php
	            if ( has_post_thumbnail() ) {
	            $thumb = get_post_thumbnail_id();
				$image = vt_resize( $thumb, '', 120, 120, true );
				} else {
				$thumb = wpsc_the_product_thumbnail();
				$image = vt_resize( '', $thumb, 120, 120, true );
				}
				?>
				<li>
					<div class="carousel-item"></div>
					<a href="<?php the_permalink(); ?>">
					      <img alt="<?php echo the_title(); ?>" title="<?php the_title();?>" src="<?php echo $image[url]; ?>" width="<?php echo $image[width]; ?>" height="<?php echo $image[height]; ?>" />
					<p><?php echo the_title(); ?><br /><span><?php echo wpsc_the_product_price(); ?></span></p>
					
					</a>
				</li>
		<?php endwhile; //END PRODUCT LOOP ?>
        </ul>
      <div class="clear"></div>
      </div><!-- /car wrapper -->
      <div class="clear"></div>
    </div>
</div>
<div class="clear"></div>
<div id="carouselspace"></div>

<script>
(function () {
    $.fn.infiniteCarousel = function () {
        function repeat(str, n) {
            return new Array( n + 1 ).join(str);
        }
        
        return this.each(function () {
            // magic!
            var $wrapper = $('> div', this).css('overflow', 'hidden'),
                $slider = $wrapper.find('> ul').width(9999),
                $items = $slider.find('> li'),
                $single = $items.filter(':first')
                
                singleWidth = $single.outerWidth(),
                visible = Math.ceil($wrapper.innerWidth() / singleWidth),
                currentPage = 1,
                pages = Math.ceil($items.length / visible);
                
            /* TASKS */
            
            // 1. pad the pages with empty element if required
            if ($items.length % visible != 0) {
                // pad
                $slider.append(repeat('<li class="empty" />', visible - ($items.length % visible)));
                $items = $slider.find('> li');
            }
            
            // 2. create the carousel padding on left and right (cloned)
            $items.filter(':first').before($items.slice(-visible).clone().addClass('cloned'));
            $items.filter(':last').after($items.slice(0, visible).clone().addClass('cloned'));
            $items = $slider.find('> li');
            
            // 3. reset scroll
            $wrapper.scrollLeft(singleWidth * visible);
            
            // 4. paging function
            function gotoPage(page) {
                var dir = page < currentPage ? -1 : 1,
                    n = Math.abs(currentPage - page),
                    left = singleWidth * dir * visible * n;
                
                $wrapper.filter(':not(:animated)').animate({
                    scrollLeft : '+=' + left
                }, 750, function () {
                    // if page == last page - then reset position
                    if (page > pages) {
                        $wrapper.scrollLeft(singleWidth * visible);
                        page = 1;
                    } else if (page == 0) {
                        page = pages;
                        $wrapper.scrollLeft(singleWidth * visible * pages);
                    }
                    
                    currentPage = page;
                });
            }
            
            // 5. insert the back and forward link
            $wrapper.after('<a href="#" class="arrow back"></a><a href="#" class="arrow forward"></a>');
            
            // 6. bind the back and forward links
            $('a.back', this).click(function () {
                gotoPage(currentPage - 1);
                return false;
            });
            
            $('a.forward', this).click(function () {
                gotoPage(currentPage + 1);
                return false;
            });
            
            $(this).bind('goto', function (event, page) {
                gotoPage(page);
            });
            
            // THIS IS NEW CODE FOR THE AUTOMATIC INFINITE CAROUSEL
            $(this).bind('next', function () {
                gotoPage(currentPage + 1);
            });
        });
    };
})(jQuery);

$(document).ready(function () {
    // THIS IS NEW CODE FOR THE AUTOMATIC INFINITE CAROUSEL
    var autoscrolling = <?php if ( get_option('storefront_carousel_autoscroll') == 'true') { echo 'true';} else {echo 'false';};?>;
    
    $('.infiniteCarousel').infiniteCarousel().mouseover(function () {
        autoscrolling = false;
    }).mouseout(function () {
        autoscrolling = <?php if ( get_option('storefront_carousel_autoscroll') == 'true') { echo 'true';} else {echo 'false';};?>;
    });
    
    setInterval(function () {
        if (autoscrolling) {
            $('.infiniteCarousel').trigger('next');
        }
    }, <?php echo $carouselspeed; ?>000);
});
</script>