<?php
/*
==============================================================
Adapted from original code by WooThemes - http://woothemes.com
==============================================================
*/

// Category News Boxes
function get_exclude_categories($label) {
    
    $include = array();
    $counter = 0;
    $cats = get_categories('hide_empty=0');
    
    foreach ($cats as $cat) {
        
        $counter++;
        
        if ( get_option( $label.$cat->cat_ID ) == 'true') {
            
                $exclude[] = $cat->cat_ID;
            }
        }
        if(!empty($exclude)){
        $exclude = implode(',',$exclude);
        }
    return $exclude;

}

/*
===============================================================
REGISTER CUSTOM MENUS
===============================================================
*/
add_theme_support( 'menus' );

add_action( 'init', 'register_my_menus' );

function register_my_menus() {
	register_nav_menus(
		array(
			'primary-menu' => __( 'Main Navigation' )/*,
			'secondary-menu' => __( 'Footer Navigation' )*/
		)
	);
}

//MAIN NAV
function storefront_mainnav() {
    if ( function_exists( 'wp_nav_menu' ) )
        wp_nav_menu( 'theme_location=primary-menu&container=&menu_id=nav&menu_class=&fallback_cb=storefront_mainnav_fallback' );
    else
        storefront_mainnav_fallback();
}

function storefront_mainnav_fallback() {
    echo '<ul id="nav">';
    echo '<li class="page_item';
    if (is_home()) {echo ' current_page_item';}
    echo '"><a href="'.get_settings("home").'">Home</a></li>';
    wp_list_pages('sort_column=menu_order&depth=3&title_li=&exclude='.get_option('storefront_nav_exclude'));
    echo '</ul>';
}
if ( function_exists('register_sidebar') )
    register_sidebar(array(
    	'name'=>'Page Sidebar Right',
        'before_widget' => '<div class="widget">',
        'after_widget' => '</div>',
        'before_title' => '<h2>',
        'after_title' => '</h2>',
    ));
if ( function_exists('register_sidebar') )
    register_sidebar(array(
    	'name'=>'Page Sidebar Left',
        'before_widget' => '<div class="widget">',
        'after_widget' => '</div>',
        'before_title' => '<h2>',
        'after_title' => '</h2>',
    ));
if ( function_exists('register_sidebar') )
    register_sidebar(array(
    	'name'=>'Blog Sidebar Right',
        'before_widget' => '<div class="widget">',
        'after_widget' => '</div>',
        'before_title' => '<h2>',
        'after_title' => '</h2>',
    ));
if ( function_exists('register_sidebar') )
    register_sidebar(array(
    	'name'=>'Blog Sidebar Left',
        'before_widget' => '<div class="widget">',
        'after_widget' => '</div>',
        'before_title' => '<h2>',
        'after_title' => '</h2>',
    ));
if ( function_exists('register_sidebar') )
    register_sidebar(array(
    	'name'=>'Shop Sidebar Right',
        'before_widget' => '<div class="widget">',
        'after_widget' => '</div>',
        'before_title' => '<h2>',
        'after_title' => '</h2>',
    ));
if ( function_exists('register_sidebar') )
    register_sidebar(array(
    	'name'=>'Shop Sidebar Left',
        'before_widget' => '<div class="widget">',
        'after_widget' => '</div>',
        'before_title' => '<h2>',
        'after_title' => '</h2>',
    ));
?>