<?php
/*
Template Name: 3 Columns
*/
?>

<?php get_header();?>

<div class="grid_4" id="sidebar">
	<?php if ( !function_exists('dynamic_sidebar')|| !dynamic_sidebar('Page Sidebar Left') ) : ?>
		<h2><?php _e('Recent Posts', 'storefrontthemes'); ?></h2>
	<?php endif; ?>
</div>

<div class="grid_8">

	<div class="entry">
				
				<?php if (have_posts()) : while (have_posts()) : the_post(); ?>
				<?php 
				if(has_post_thumbnail()) {
				$blogimageheight = 250;
				$blogimagewidth = 446;
				$thumb = get_post_thumbnail_id(); 
				$image = vt_resize( $thumb, '', $blogimagewidth, $blogimageheight, true );
				?>
				<div class="singlepostimage">
				<img alt="<?php the_title(); ?>" src="<?php echo $image[url]; ?>" width="<?php echo $image[width]; ?>" height="<?php echo $image[height]; ?>" />
				</div>
				<?php } ?>
				<h1><?php the_title(); ?></h1>
				<?php the_content(__('Read more'));?>
				
				<?php endwhile; else: ?>
					<h1><?php _e('Not Found', 'storefrontthemes'); ?></h1>
					<p><?php _e('Sorry, no posts matched your criteria.'); ?></p>
					<?php get_search_form(); ?>
				<?php endif; ?>
						
		<div class="clear"></div>
	</div><!-- end of entry -->


</div>

<div class="grid_4">
	<?php if ( !function_exists('dynamic_sidebar')|| !dynamic_sidebar('Page Sidebar Right') ) : ?>
		<h2><?php _e('Recent Posts', 'storefrontthemes'); ?></h2>
	<?php endif; ?>
</div>

<div class="clear"></div>


<?php get_footer();?>